org.springframework.data.convert

## Class KotlinClassGeneratingEntityInstantiator

- java.lang.Object
- - org.springframework.data.convert.KotlinClassGeneratingEntityInstantiator

All Implemented Interfaces:
  EntityInstantiator

Deprecated.
since 2.3, use `KotlinClassGeneratingEntityInstantiator` instead.

    @Deprecated
    public class KotlinClassGeneratingEntityInstantiator
    extends Object
    implements EntityInstantiator

Kotlin-specific extension to `ClassGeneratingEntityInstantiator` that adapts Kotlin constructors with defaulting.

Since:
  2.0
Author:
  Mark Paluch, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`KotlinClassGeneratingEntityInstantiator()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`<T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T` `createInstance(E entity, ParameterValueProvider<P> provider)` Deprecated. Creates a new instance of the given entity using the given source to pull data from.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KotlinClassGeneratingEntityInstantiator

    public KotlinClassGeneratingEntityInstantiator()

Deprecated.

### Method Detail

#### createInstance

    public <T,E extends PersistentEntity<? extends T,P>,P extends PersistentProperty<P>> T createInstance(E entity,
                                                                                                          ParameterValueProvider<P> provider)

Deprecated.
Description copied from interface: `EntityInstantiator`
Creates a new instance of the given entity using the given source to pull data from.

Specified by:
  `createInstance` in interface `EntityInstantiator`
Parameters:
  `entity` - will not be null.
  `provider` - will not be null.
Returns: